Unclaim badge

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to unclaim a badge. Using an unclaim API you can soft delete the active claim from the claims list.

For example:

A badge named Furry Friend Badge is owned by Loyalty and Milestones. Loyalty has successfully claimed the badge under program ID: 123, associating the badge claim with Loyalty as owner and reference ID: ABC. Using the unclaim badge API, you can remove Loyalty’s claim over the badge.

👍

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/api_gateway/v1/badges/badgeMeta/{badgeId}/unclaim
HTTP MethodPOST
PaginationNo
Batch supportNo

Example request

curl --location 'https://eu.api.capillarytech.com/api_gateway/v1/badges/badgeMeta/69381220cebb9648d8974518/unclaim' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Authorization: Basic bWFkaHVMjU2YQ==' \
--header 'Cookie: _cfuvid=GwR6P.Wo28InVQzxrZVpalpv9uu696nsUn.b7W_MO8Y-1772617632944-0.0.1.1-604800000' \
--data '{
    "ownerType": "Loyalty",
    "referenceId": "123"
}'

Request path parameters

Parameter NameData TypeDescription
badgeId*StringUnique ID of the badge.

Request body parameters

Parameter NameData TypeDescription
ownerType*EnumModule where the badge was claimed. Supported values: Loyalty, Loyalty_Promotion, Referral_Campaigns, Journeys, Audience_Campaigns, Rewards_Catalog, Goodwill_Module, Milestones, Historical_Import
referenceId*StringUnique reference ID of the owner type.
{
"ownerType":"Loyalty",
"referenceId":"string"
}

Example response

{
    "data": {
        "ownerType": "Loyalty",
        "referenceId": "123",
        "isActive": false
    },
    "errors": null,
    "warnings": []
}

Response parameters

Parameter NameData TypeDescription
ownerTypeEnumModule wheere the badge was claimed.
Supported values: Loyalty program, Milestones, Campaigns, Journeys, Goodwill.
referenceIdStringUnique reference ID of the owner type.
isActiveBooleanIndicates whether the badge is active.

API-specific error codes

Error codeDescription
737Claim not found in existing claims
Path Params
string
required

Unique ID of the badge.

Body Params
string
enum
required

Module for which the reward was created.

Allowed:
string
required

Reference ID of the owner type.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json